<?php
if($user)header("Location: index.php?"); exit;
// Восстановление пароля
include SYS."/regconf.php";
if(isset($_POST['npass']) and isset($_POST['r_key']))
{
$npass=md5($_POST['npass']);
$r_key=ft_nic($_POST['r_key']);
$errors="";
    if(strlen($_POST['npass'])>$MaxPass){$errors.="Длина пароля должна быть не более $MaxPass символов!<br />";}
    if(strlen($_POST['npass'])<$MinPass){$errors.="Длина пароля должна быть не менее $MinPass символов!<br />";}
    $obj=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `r_key`='$r_key' AND `r_key`!='' LIMIT 1"));
    if($obj['r_key']==$r_key and $errors=="")
      {
        #$npass=md5($npass);
        $inkey=gen_key();
        @mysql_query("UPDATE `user` SET `inkey`='$inkey',`pass`='$npass',`r_key`='' WHERE `id`='$obj[id]' LIMIT 1");
        $_SESSION['msg'].="Пароль успешно изменен!<br />";
        header("Location: index.php");
        exit;
      }
$_SESSION['error'].=$errors;
header("Location: index.php?l=chpass");
exit;
}
//
if(isset($_GET['chpass']))
{
  $r_key=ft_nic($_GET['chpass']);
    $obj=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `r_key`='$r_key' AND `r_key`!='' LIMIT 1"));
      if($obj)
        {
          $_SESSION['title']="Восстановление пароля";
          heads($headers_page, $set_ob_start);   //подключение шапки
          echo"Ваш логин $obj[login]<br /> Установите новый пароль ($MinPass - $MaxPass симв.):<br />";
          echo"
          <form action=\"\" method=\"post\">
          <input type=\"password\" size=\"12\" name=\"npass\" value=\"\" /><br />
          <input type=\"hidden\" name=\"r_key\" value=\"$r_key\" />
          <input type=\"submit\" value=\"изменить\" />
          </form>
          ";
        }else{
        $_SESSION['error'].="Код восстановления просрочен!";
        header("Location: index.php?");
        exit;
        }
}
//  
?>